Bug 437291 - Confusing user interface
Confusing user interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kerneloops (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 08:46 EDT by Horst H. von Brand
Modified: 2011-12-13 17:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 14:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-03-13 08:46:53 EDT
Description of problem:
When an Oops happens, a window opens explaining that this can give feedback, and
asks if I want to do so Always, Yes, No, Never (or something like that). I'd
expect that Always doesn't lead to the same question again, but it shows up each
time (yes, current Fedora kernels go oops each boot here ;-). After sending off
the report, it thanks for the report (OK!), but then asks if Always or No.
Giving this kind of options makes no sense here.

Version-Release number of selected component (if applicable):
kerneloops-0.10-6.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2008-03-28 12:28:25 EDT
(In reply to comment #0)

> When an Oops happens, a window opens explaining that this can give feedback, and
> asks if I want to do so Always, Yes, No, Never (or something like that). I'd
> expect that Always doesn't lead to the same question again, but it shows up each
> time (yes, current Fedora kernels go oops each boot here ;-).

You need to edit /etc/kerneloops.conf to make the setting permanent.
Comment 2 Chuck Ebbert 2008-03-28 13:52:49 EDT
Oops never mind... it is writing "alway" instead of "always" to ~/.kerneloops

Fixed in 0.10-10
Comment 3 Horst H. von Brand 2008-03-30 18:50:22 EDT
Hasn't shown up again... where are the Oopses when you need them ;-)
Comment 4 Bug Zapper 2008-05-14 02:01:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.